Yesterday we reported about the new exploit found by pod2g, and today, MuscleNerd confirmed that it will work with the iPhone 4, the iPad and the new iPod Touch.

This bootrom exploit will require a hardware fix for Apple to prevent future jailbreaks. If you have an iPhone 4 now, that means you’d potentially be able to jailbreak it, no matter what iOS you install on it in the future. Of course at this point it’s just theories…

The Dev Team is currently working on this new exploit and as I said yesterday, I wouldn’t be surprised if we got an iOS 4.1 jailbreak by the end of the month. There’s obviously a lot of work to be done, but the hardest job has been completed.

Congrats to pod2g and all other iPhone hackers that spend so much time on this.